#!/bin/sh

# preflight.sh
# ValhallaShimmer
#
# Created by Sean Costello on 12/19/2013.
# Copyright 2013 Valhalla DSP, LLC. All rights reserved.

echo "preflight..."

ShimmerAU="/Library/Audio/Plug-Ins/Components/ValhallaShimmer.component"
ShimmerAU64="/Library/Audio/Plug-Ins/Components/ValhallaShimmerAU64.component"
ShimmerVST="/Library/Audio/Plug-Ins/VST/ValhallaShimmer.vst"
ShimmerVST64="/Library/Audio/Plug-Ins/VST/ValhallaShimmer_x64.vst"
ShimmerRTAS="/Library/Application Support/Digidesign/Plug-Ins/ValhallaShimmer.dpm"
ShimmerAAX="/Library/Application Support/Avid/Audio/Plug-Ins/ValhallaShimmer.aaxplugin"

if [ -e "$ShimmerAU" ]; then
	echo Moving "$ShimmerAU" to trash.
	cp -r "$ShimmerAU" ~/.Trash;
	rm -rf "$ShimmerAU"
fi

if [ -e "$ShimmerAU64" ]; then
	echo Moving "$ShimmerAU64" to trash.
	cp -r "$ShimmerAU64" ~/.Trash;
	rm -rf "$ShimmerAU64"
fi

if [ -e "$ShimmerVST" ]; then
	echo Moving "$ShimmerVST" to trash.
	cp -r "$ShimmerVST" ~/.Trash;
	rm -rf "$ShimmerVST"
fi

if [ -e "$ShimmerVST64" ]; then
	echo Moving "$ShimmerVST64" to trash.
	cp -r "$ShimmerVST64" ~/.Trash;
	rm -rf "$ShimmerVST64"
fi

if [ -e "$ShimmerRTAS" ]; then
	echo Moving "$ShimmerRTAS" to trash.
	cp -r "$ShimmerRTAS" ~/.Trash;
	rm -rf "$ShimmerRTAS"
fi

if [ -e "$ShimmerAAX" ]; then
	echo Moving "$ShimmerAAX" to trash.
	cp -r "$ShimmerAAX" ~/.Trash;
	rm -rf "$ShimmerAAX"
fi